## com.sun.jersey.localization
Interface Localizable

All Known Implementing Classes:
  LocalizableMessage

    public interface Localizable

Localizable message.

Author:
  WS Development Team

Field Summary
`static java.lang.String` | `NOT_LOCALIZABLE` Special constant that represents a message that is not localizable.

Method Summary
`java.lang.Object[]` | `getArguments()` Returns the arguments for message formatting.
`java.lang.String` | `getKey()` Gets the key in the resource bundle.
`java.lang.String` | `getResourceBundleName()`

Field Detail

### NOT_LOCALIZABLE

    static final java.lang.String NOT_LOCALIZABLE

  Special constant that represents a message that is not localizable.

  Use of "new" is to create an unique instance.

Method Detail

### getKey

    java.lang.String getKey()

  Gets the key in the resource bundle.

  Returns:
    if this method returns `NOT_LOCALIZABLE`, that means the message is not localizable, and the first item of `getArguments()` array holds a String.

### getArguments

    java.lang.Object[] getArguments()

  Returns the arguments for message formatting.

  Returns:
    can be an array of length 0 but never be null.

### getResourceBundleName

    java.lang.String getResourceBundleName()

Copyright © 2017 Oracle Corporation. All Rights Reserved.